Package org.eclipse.equinox.http.servlet.internal

# Class Activator

java.lang.Object
org.eclipse.equinox.http.servlet.internal.Activator

All Implemented Interfaces:
  `BundleActivator`, `ServiceTrackerCustomizer<javax.servlet.http.HttpServlet,org.eclipse.equinox.http.servlet.internal.util.HttpTuple>`

public class Activator extends Object implements BundleActivator, ServiceTrackerCustomizer<javax.servlet.http.HttpServlet,org.eclipse.equinox.http.servlet.internal.util.HttpTuple>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`UNIQUE_SERVICE_ID`

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.equinox.http.servlet.internal.util.HttpTuple`
`addingService(ServiceReference<javax.servlet.http.HttpServlet> serviceReference)`
`static void`
`addProxyServlet(org.eclipse.equinox.http.servlet.internal.servlet.ProxyServlet proxyServlet)`
`void`
`modifiedService(ServiceReference<javax.servlet.http.HttpServlet> serviceReference, org.eclipse.equinox.http.servlet.internal.util.HttpTuple httpTuple)`
`void`
`removedService(ServiceReference<javax.servlet.http.HttpServlet> serviceReference, org.eclipse.equinox.http.servlet.internal.util.HttpTuple httpTuple)`
`void`
`start(BundleContext bundleContext)`
`void`
`stop(BundleContext bundleContext)`
`static void`
`unregisterHttpService(org.eclipse.equinox.http.servlet.internal.servlet.ProxyServlet proxyServlet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNIQUE_SERVICE_ID

public static final String UNIQUE_SERVICE_ID

See Also:
  - Constant Field Values

## Constructor Details

### Activator

public Activator()

## Method Details

### addProxyServlet

public static void addProxyServlet(org.eclipse.equinox.http.servlet.internal.servlet.ProxyServlet proxyServlet)

### unregisterHttpService

public static void unregisterHttpService(org.eclipse.equinox.http.servlet.internal.servlet.ProxyServlet proxyServlet)

### start

public void start(BundleContext bundleContext) throws Exception

Specified by:
  `start` in interface `BundleActivator`
Throws:
  `Exception`

### stop

public void stop(BundleContext bundleContext) throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Throws:
  `Exception`

### addingService

public org.eclipse.equinox.http.servlet.internal.util.HttpTuple addingService(ServiceReference<javax.servlet.http.HttpServlet> serviceReference)

Specified by:
  `addingService` in interface `ServiceTrackerCustomizer<javax.servlet.http.HttpServlet,org.eclipse.equinox.http.servlet.internal.util.HttpTuple>`

### modifiedService

public void modifiedService(ServiceReference<javax.servlet.http.HttpServlet> serviceReference, org.eclipse.equinox.http.servlet.internal.util.HttpTuple httpTuple)

Specified by:
  `modifiedService` in interface `ServiceTrackerCustomizer<javax.servlet.http.HttpServlet,org.eclipse.equinox.http.servlet.internal.util.HttpTuple>`

### removedService

public void removedService(ServiceReference<javax.servlet.http.HttpServlet> serviceReference, org.eclipse.equinox.http.servlet.internal.util.HttpTuple httpTuple)

Specified by:
  `removedService` in interface `ServiceTrackerCustomizer<javax.servlet.http.HttpServlet,org.eclipse.equinox.http.servlet.internal.util.HttpTuple>`